
I was helping my Dad paint window exteriors at home, and jumped off of a high chair. My sneaker caught on a small tab sticking up on the chair edge. I fell and twisted my left knee, tearing the anterior collateral ligament. Three days of suffering later, my parents decided to take me to my Aunt's orthopedic specialist. The doctor examined my swollen knee, and drew three bowls of blood from it, relieving a lot of pain and pressure. He did the surgery the following morning.

While I was deep asleep, all of a sudden, I was floating above and behind the doctor's left shoulder, observing as he carefully sutured up my knee. I could hear classical music playing. I could see the nurse, the anesthesiologist, and myself. I remember feeling no pain, no temperature, nothing but interest in the work the doctor was doing with those stitches. If I recall correctly, there were over 50 of them.

Then, I recall waking up in recovery. I was very sleepy, fell to sleep again, and woke up in my room. My Mom and my sister came in to see me. They had a newspaper, and on the front page my buddy, who went to vocational technical school with me, had died in a car accident. I was really traumatized by that. The details of his death were just gruesome.
